﻿@page
@model Website.Pages.product.EditModel
@using Entities
@{
    ViewData["Title"] = "Edit Product";
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/product" class="link-primary text-decoration-none">Product</a>
        >
        <a href="/product/edit?id=@Model.Id" class="link-primary text-decoration-none">Edit</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Product attributes</p>
        @if (Model.IsEdited)
        {
            if (string.IsNullOrEmpty(Model.StrInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Edited product successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@Model.StrInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-2">
            <label for="id" class="form-label">Product ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@Model.Id" placeholder="Product ID" maxlength="30" required>
        </div>
        <div class="col-md-2">
            <label for="name" class="form-label">Product Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@Model.Name" placeholder="Product Name" maxlength="30" required>
        </div>
        <div class="col-md-2">
            <label for="category" class="form-label">Category</label>
            <input class="form-control" type="text" id="category" name="category" value="@Model.Category" placeholder="Category" maxlength="30" required>
        </div>
        <div class="col-md-2">
            <label for="brand" class="form-label">Brand</label>
            <input class="form-control" type="text" id="brand" name="brand" value="@Model.Brand" placeholder="Brand" maxlength="30" required>
        </div>
        <div class="col-md-2">
            <label for="price" class="form-label">Price</label>
            <input class="form-control" type="number" id="price" name="price" value="@Model.Price" min="1" required>
        </div>
        <div class="col-md-2 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-warning text-light" type="submit" value="Edit">
        </div>
    </form>
</div>

<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="text-start fw-bold">Current product attributes</p>
    </div>
    <div class="text-center table_section">

        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>Product ID</th>
                    <th>Product Name</th>
                    <th>Category</th>
                    <th>Brand</th>
                    <th>Price</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>@Model.Id</td>
                    <td>@Model.Name</td>
                    <td>@Model.Category</td>
                    <td>@Model.Brand</td>
                    <td>@Model.Price</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
